Submit a Form
This API is primarily used for transactional activity. Performance will be essential. The following example assumes submission of the example form defined here. Anticipated load – Moveworks will call this endpoint every time a user submits a form through our native skill.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
OR
X-API-KEYstring
API Key authentication via header
Path parameters
formId
ID of form to submit
Request
This endpoint expects an object.
submitted_by
System ID (usually the email address) of the user who submitted this form.
fields
This is a dictionary where they keys are the "field names" coming from the schema, and the value types are string, list of strings, and boolean. See the example.
form_metadata
Response headers
X-RateLimit-Limit
The maximum number of requests you're permitted to make per minute.
X-RateLimit-Remaining
The number of requests remaining in the current rate limit window.
X-RateLimit-Reset
The remaining window before the rate limit FULLY resets in UTC epoch seconds.
Response
Successful form submission
ticket_id
The display ticket ID of the ticket that was created (if any). null value is allowed. If a valid ticket ID is returned, Moveworks will be able to fetch/poll this ticket to provide updates to the user and to accelerate resolution of their request.